## guayadeque 0.4.5~mx15+1

=== CMakeLists.txt ===
# define minimum cmake version
cmake_minimum_required(VERSION 2.4)
IF(POLICY CMP0005)
   cmake_policy(SET CMP0005 NEW)
ENDIF(POLICY CMP0005)

IF(POLICY CMP0037)
  cmake_policy(SET CMP0037 OLD)   # cmake warns about sr@latin target
ENDIF(POLICY CMP0037)
 
project( Guayadeque )

IF( NOT EXISTS ${CMAKE_INSTALL_PREFIX} )
        SET( CMAKE_INSTALL_PREFIX  "/usr" )
ENDIF( NOT EXISTS ${CMAKE_INSTALL_PREFIX} )

MESSAGE( STATUS "Using install prefix ${CMAKE_INSTALL_PREFIX} ..." )

FIND_PACKAGE(PkgConfig)

SET( SEARCH_LIBS
        /usr/lib
        /usr/local/lib )

SET( wxWidgets_USE_LIBS base core adv net html xml aui qa )

FIND_PACKAGE( wxWidgets )

IF( NOT wxWidgets_FOUND)
    MESSAGE( FATAL_ERROR "wxWidgets not found!" )
ENDIF( NOT wxWidgets_FOUND)

PKG_CHECK_MODULES( GSTREAMER REQUIRED gstreamer-1.0 )
PKG_CHECK_MODULES( GSTREAMER_TAG REQUIRED gstreamer-tag-1.0 )
PKG_CHECK_MODULES( SQLITE3 REQUIRED sqlite3 )
PKG_CHECK_MODULES( LIBCURL REQUIRED libcurl )

PKG_CHECK_MODULES( LIBTAG taglib>=1.6.4)
IF( NOT LIBTAG_LIBRARIES )
        PKG_CHECK_MODULES( LIBTAG taglib>=1.6.1)
        IF( NOT LIBTAG_LIBRARIES )
                PKG_CHECK_MODULES( LIBTAG taglib>=1.6 )
                IF( NOT LIBTAG_LIBRARIES )
                        MESSAGE( FATAL_ERROR "taglib 1.6 not found!" )
                ENDIF( NOT LIBTAG_LIBRARIES )
        ELSE( NOT LIBTAG_LIBRARIES )
                ADD_DEFINITIONS(-DTAGLIB_WITH_MP4_COVERS=1)
        ENDIF( NOT LIBTAG_LIBRARIES )
ELSE( NOT LIBTAG_LIBRARIES )
        ADD_DEFINITIONS(-DTAGLIB_WITH_MP4_COVERS=1)
        ADD_DEFINITIONS(-DTAGLIB_WITH_APE_SUPPORT=1)
ENDIF( NOT LIBTAG_LIBRARIES )

PKG_CHECK_MODULES( LIBDBUS REQUIRED dbus-1 )

PKG_CHECK_MODULES( LIBGDKPIXBUF20 REQUIRED gdk-pixbuf-2.0 )
PKG_CHECK_MODULES( LIBGIO REQUIRED gio-2.0 )

PKG_CHECK_MODULES( LIBGPOD libgpod-1.0 )
IF( NOT LIBGPOD_LIBRARIES )
        MESSAGE( " libgpod-dev not found! No iPod support!!" )
ELSE( NOT LIBGPOD_LIBRARIES )
        ADD_DEFINITIONS(-DWITH_LIBGPOD_SUPPORT=1)
ENDIF( NOT LIBGPOD_LIBRARIES )

PKG_CHECK_MODULES( LIBINDICATE07 indicate-0.7 )
IF( NOT LIBINDICATE07_LIBRARIES )
        PKG_CHECK_MODULES( LIBINDICATE06 indicate-0.6 )
        IF( NOT LIBINDICATE06_LIBRARIES )
                PKG_CHECK_MODULES( LIBINDICATE indicate )
                IF( NOT LIBINDICATE_LIBRARIES )
                        MESSAGE( " libindicate library not found! No sound menu support!!" )
                ELSE( NOT LIBINDICATE_LIBRARIES )
                        ADD_DEFINITIONS(-DWITH_LIBINDICATE_SUPPORT=1)
                ENDIF( NOT LIBINDICATE_LIBRARIES )
        ELSE( NOT LIBINDICATE06_LIBRARIES )
                ADD_DEFINITIONS(-DWITH_LIBINDICATE_SUPPORT=1)
        ENDIF( NOT LIBINDICATE06_LIBRARIES )
ELSE( NOT LIBINDICATE07_LIBRARIES )
        ADD_DEFINITIONS(-DWITH_LIBINDICATE_SUPPORT=1)
ENDIF( NOT LIBINDICATE07_LIBRARIES )

PKG_CHECK_MODULES( LIBWXSQLITE3 wxsqlite3 )
IF( NOT LIBWXSQLITE3_LIBRARIES )
        PKG_CHECK_MODULES( LIBWXSQLITE330 wxsqlite3-3.0 )
        IF( NOT LIBWXSQLITE330_LIBRARIES )
                MESSAGE( FATAL_ERROR "wxSqlite3 not found" )
        ENDIF( NOT LIBWXSQLITE330_LIBRARIES )
ENDIF( NOT LIBWXSQLITE3_LIBRARIES )

# Include wxWidgets macros
INCLUDE(${wxWidgets_USE_FILE})

IF( NOT _GUREVISION_ )
    # Get the latest abbreviated commit hash of the working branch
    execute_process(
      COMMAND git log -1 --format=%h
      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
      OUTPUT_VARIABLE _GUREVISION_
      OUTPUT_STRIP_TRAILING_WHITESPACE
    )
ENDIF( NOT _GUREVISION_ )

# Make Version.h
CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/src/Version.h.in
                ${CMAKE_CURRENT_SOURCE_DIR}/src/Version.h )

#    
#ADD_DEFINITIONS(${wxWidgets_DEFINITIONS})
ADD_DEFINITIONS( -Wall -O2 )
 
# We define the include paths here, our minimal source dir is one, 
# and also the include dirs defined by wxWidgets
INCLUDE_DIRECTORIES(
        ${CMAKE_CURRENT_SOURCE_DIR}
        ${wxWidgets_INCLUDE_DIRS}
        ${GSTREAMER_INCLUDE_DIRS}
        ${GSTREAMER_TAG_INCLUDE_DIRS}
        ${SQLITE3_INCLUDE_DIRS}
        ${LIBCURL_INCLUDE_DIRS}
        ${LIBTAG_INCLUDE_DIRS}
        ${LIBDBUS_INCLUDE_DIRS}
        ${LIBGIO_INCLUDE_DIRS}
        ${LIBGPOD_INCLUDE_DIRS}
        ${LIBINDICATE_INCLUDE_DIRS}
        ${LIBINDICATE06_INCLUDE_DIRS}
        ${LIBINDICATE07_INCLUDE_DIRS}
        ${LIBWXSQLITE3_INCLUDE_DIRS}
        ${LIBWXSQLITE330_INCLUDE_DIRS}
)

IF( DEBUG )
        ADD_DEFINITIONS( -g )
        MESSAGE( "Adding debug symbols." )
ENDIF( DEBUG )

IF( PROFILE )
        ADD_DEFINITIONS( -pg )
        SET(CMAKE_EXE_LINKER_FLAGS "-pg -g")
        MESSAGE( "Adding profiling code." )
ENDIF( PROFILE )

 
ADD_SUBDIRECTORY( src )
ADD_SUBDIRECTORY( po )

# default configuration and desktop icon
INSTALL( FILES defconfig/guayadeque.desktop DESTINATION share/applications )
INSTALL( FILES defconfig/guayadeque.png DESTINATION share/pixmaps/ )
INSTALL( FILES defconfig/guayadeque.default.conf DESTINATION share/guayadeque )
INSTALL( FILES defconfig/equalizers.default.conf DESTINATION share/guayadeque )
INSTALL( FILES defconfig/lyrics_sources.xml DESTINATION share/guayadeque )
INSTALL( FILES defconfig/guayadeque.appdata.xml DESTINATION share/appdata )

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

ADD_CUSTOM_TARGET(debug
  ${CMAKE_COMMAND} -DMAKE_BUILD_TYPE:STRING=Debug ${PROJECT_SOURCE_DIR})

ADD_CUSTOM_TARGET(release
  ${CMAKE_COMMAND} -DMAKE_BUILD_TYPE:STRING=Release ${PROJECT_SOURCE_DIR})

=== po/CMakeLists.txt ===

FIND_PACKAGE( Gettext REQUIRED )

MACRO(GETTEXT_PROCESS_POFILE _lang _moFile _poFile )
   GET_FILENAME_COMPONENT(_moBasename ${_moFile} NAME_WE)
   GET_FILENAME_COMPONENT(_absmoFile ${_moFile} ABSOLUTE)
   GET_FILENAME_COMPONENT(_absFile ${_poFile} ABSOLUTE)
   ADD_CUSTOM_COMMAND(
      OUTPUT ${_absmoFile}
      COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_absmoFile} ${_absFile}
      DEPENDS ${_absFile}
   )
   INSTALL(FILES ${_absmoFile} DESTINATION share/locale/${_lang}/LC_MESSAGES )
   ADD_CUSTOM_TARGET( ${_moBasename}.${_lang}.mo ALL DEPENDS ${_absmoFile} )
ENDMACRO(GETTEXT_PROCESS_POFILE )

# Current languages
ADD_SUBDIRECTORY( es )
ADD_SUBDIRECTORY( uk )
ADD_SUBDIRECTORY( it )
ADD_SUBDIRECTORY( de )
ADD_SUBDIRECTORY( fr )
ADD_SUBDIRECTORY( is )
ADD_SUBDIRECTORY( nb )
ADD_SUBDIRECTORY( th )
ADD_SUBDIRECTORY( cs )
ADD_SUBDIRECTORY( ru )
ADD_SUBDIRECTORY( hu )
ADD_SUBDIRECTORY( sv )
ADD_SUBDIRECTORY( nl )
ADD_SUBDIRECTORY( pt_BR )
ADD_SUBDIRECTORY( pt )
ADD_SUBDIRECTORY( el )
ADD_SUBDIRECTORY( sk )
ADD_SUBDIRECTORY( pl )
ADD_SUBDIRECTORY( tr )
ADD_SUBDIRECTORY( ja )
ADD_SUBDIRECTORY( sr )
ADD_SUBDIRECTORY( sr@latin )
ADD_SUBDIRECTORY( bg )
ADD_SUBDIRECTORY( ca_ES )
ADD_SUBDIRECTORY( hr )

=== src/CMakeLists.txt ===
FILE( GLOB_RECURSE Guayadeque_SOURCES "*.c*" )
FILE( GLOB_RECURSE Guayadeque_HEADERS "*.h" )


SET( Guayadeque_INCLUDE_DIRS "" )
FOREACH( _headerFile ${Guayadeque_HEADERS} )
    GET_FILENAME_COMPONENT( _dir ${_headerFile} PATH )
    LIST( APPEND Guayadeque_INCLUDE_DIRS ${_dir} )
ENDFOREACH()
LIST( REMOVE_DUPLICATES Guayadeque_INCLUDE_DIRS )

INCLUDE_DIRECTORIES( ${Guayadeque_INCLUDE_DIRS} )

ADD_EXECUTABLE( guayadeque ${Guayadeque_SOURCES} )

TARGET_LINK_LIBRARIES( guayadeque
        ${wxWidgets_LIBRARIES}
        ${GSTREAMER_LIBRARIES}
        ${GSTREAMER_TAG_LIBRARIES}
        ${SQLITE3_LIBRARIES}
        ${LIBCURL_LIBRARIES}
        ${LIBTAG_LIBRARIES}
        ${LIBDBUS_LIBRARIES}
        ${LIBGDKPIXBUF20_LIBRARIES}
        ${LIBGIO_LIBRARIES}
        ${LIBGPOD_LIBRARIES}
        ${LIBINDICATE_LIBRARIES}
        ${LIBINDICATE06_LIBRARIES}
        ${LIBINDICATE07_LIBRARIES}
        ${LIBWXSQLITE3_LIBRARIES}
        ${LIBWXSQLITE330_LIBRARIES}
)

INSTALL( TARGETS guayadeque
         RUNTIME DESTINATION bin )

=== po/hr/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( hr guayadeque.mo guayadeque.po )

=== po/tr/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( tr guayadeque.mo guayadeque.po )

=== debian/changelog ===
guayadeque (0.4.5~mx15+1) mx; urgency=low

  * New upstream release
 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 07 May 2017 21:26:03 -0500

=== debian/control ===
Source: guayadeque
Section: sound
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
Build-Depends: cmake (>= 2.6), debhelper (>= 9~), gettext, libcurl4-openssl-dev (>= 7.18.2), libdbus-1-dev, libgpod-dev [!hurd-any], libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev, libindicate-dev, libsqlite3-dev, libtag1-dev, libwxgtk3.0-dev, libwxsqlite3-3.0-dev
Standards-Version: 3.9.5
Homepage: http://guayadeque.org

Package: guayadeque
Architecture: any
Depends: gstreamer1.0-plugins-base, gstreamer1.0-plugins-good, ${misc:Depends}, ${shlibs:Depends}
Description: lightweight music player
 Guayadeque is a lightweight and easy-to-use music player that supports
 smart playlists and huge music collections.
 .
 Main features include:
  - Play mp3, ogg, flac, wma, mpc, mp4, ape, etc.
  - Read and write tags in all supported formats.
  - Allow to catalogue your music using labels. Any track, artist or album
    can have as many labels you want.
  - Smart play mode that add tracks that fit your music taste using the
    tracks currently in play list.
  - Ability to download covers manually or automatically
  - Suggest music using last.fm service.
  - Allow fast access to any music file by genre, artist, album, etc
  - Play shoutcast radios.
  - Allow to subscribe to podcasts and download all new episodes
    automatically or manually.
  - Dynamic or static play lists.
  - Tracks tag editor with automatically fetching of tags information for
    easily completion.
  - Lyrics downloads from different lyrics providers.
  - Easily expandable contextual links support. With it you can find
    information about a track, an artist or an album on your favourite site.
  - Easily expandable contextual commands support. For example you can right
    click on any album and click in option to record the album in a burning
    application.
  - Option to copy the selection you want to a directory or device using a
    configurable pattern.
  - Last.fm audioscrobbling support.
  - Partial GNOME session support to detect when GNOME session is about to
    close and save the play list so it can continue next time with the same
    tracks.
  - Allow to resume play status and position when closed and reopened.
  - You can rate the tracks from 0 to 5 stars.
  - MPRIS D-Bus interface support so it can easily controlled from music
    applets for example and many more.

## guayadeque 0.4.5

=== debian/changelog ===
guayadeque (0.4.5-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Change from native to upstream sourced package.
  * Enable hardening flag in rules.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 03 Feb 2019 13:07:05 -0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,19 @@
 Source: guayadeque
 Section: sound
 Priority: optional
-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
-Build-Depends: cmake (>= 2.6), debhelper (>= 9~), gettext, libcurl4-openssl-dev (>= 7.18.2), libdbus-1-dev, libgpod-dev [!hurd-any], libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev, libindicate-dev, libsqlite3-dev, libtag1-dev, libwxgtk3.0-dev, libwxsqlite3-3.0-dev
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+Build-Depends: cmake (>= 2.6), 
+               debhelper (>= 9~),
+               gettext,
+               libcurl4-openssl-dev (>= 7.18.2),
+               libdbus-1-dev,
+               libgpod-dev [!hurd-any],
+               libgstreamer1.0-dev,
+               libgstreamer-plugins-base1.0-dev,
+               libindicate-dev, libsqlite3-dev,
+               libtag1-dev, libwxgtk3.0-dev,
+               libwxsqlite3-3.0-dev
 Standards-Version: 3.9.5
 Homepage: http://guayadeque.org

## guayadeque 0.4.6%2Bgit07122019

=== CMakeLists.txt ===
# define minimum cmake version
cmake_minimum_required(VERSION 3.0)
IF(POLICY CMP0005)
   cmake_policy(SET CMP0005 NEW)
ENDIF(POLICY CMP0005)

IF(POLICY CMP0037)
  cmake_policy(SET CMP0037 OLD)   # cmake warns about sr@latin target
ENDIF(POLICY CMP0037)
 
project( Guayadeque )

# Set Release type for builds where CMAKE_BUILD_TYPE is unset.
# This is usually a good default as this implictly enables
#
#   CFLAGS = -O3 -DNDEBUG
#
IF( NOT CMAKE_BUILD_TYPE )
        SET( CMAKE_BUILD_TYPE "Release" )
ENDIF( NOT CMAKE_BUILD_TYPE )

# Adhere to GNU filesystem layout conventions
include( GNUInstallDirs )

MESSAGE( STATUS "Using install prefix ${CMAKE_INSTALL_PREFIX} ..." )

FIND_PACKAGE(PkgConfig)

SET( SEARCH_LIBS
        /usr/lib
        /usr/local/lib )

SET( wxWidgets_USE_LIBS base core adv net html xml aui qa )

FIND_PACKAGE( wxWidgets )

IF( NOT wxWidgets_FOUND)
    MESSAGE( FATAL_ERROR "wxWidgets not found!" )
ENDIF( NOT wxWidgets_FOUND)

PKG_CHECK_MODULES( GSTREAMER REQUIRED gstreamer-1.0 )
PKG_CHECK_MODULES( GSTREAMER_TAG REQUIRED gstreamer-tag-1.0 )
PKG_CHECK_MODULES( SQLITE3 REQUIRED sqlite3 )
PKG_CHECK_MODULES( LIBCURL REQUIRED libcurl )

PKG_CHECK_MODULES( LIBTAG taglib>=1.6.4)
IF( NOT LIBTAG_FOUND )
        PKG_CHECK_MODULES( LIBTAG taglib>=1.6.1)
        IF( NOT LIBTAG_FOUND )
                PKG_CHECK_MODULES( LIBTAG taglib>=1.6 )
                IF( NOT LIBTAG_FOUND )
                        MESSAGE( FATAL_ERROR "taglib 1.6 not found!" )
                ENDIF( NOT LIBTAG_FOUND )
        ELSE( NOT LIBTAG_FOUND )
                ADD_DEFINITIONS(-DTAGLIB_WITH_MP4_COVERS=1)
        ENDIF( NOT LIBTAG_FOUND )
ELSE( NOT LIBTAG_FOUND )
        ADD_DEFINITIONS(-DTAGLIB_WITH_MP4_COVERS=1)
        ADD_DEFINITIONS(-DTAGLIB_WITH_APE_SUPPORT=1)
ENDIF( NOT LIBTAG_FOUND )

PKG_CHECK_MODULES( LIBDBUS REQUIRED dbus-1 )

PKG_CHECK_MODULES( LIBGDKPIXBUF20 REQUIRED gdk-pixbuf-2.0 )
PKG_CHECK_MODULES( LIBGIO REQUIRED gio-2.0 )

OPTION( ENABLE_IPOD "Enable iPod support by including libgpod support" ON )
IF( ENABLE_IPOD )
        PKG_CHECK_MODULES( LIBGPOD libgpod-1.0 )
        IF( NOT LIBGPOD_FOUND )
                MESSAGE( " libgpod-dev not found! No iPod support!!" )
        ELSE( NOT LIBGPOD_FOUND )
                ADD_DEFINITIONS(-DWITH_LIBGPOD_SUPPORT=1)
        ENDIF( NOT LIBGPOD_FOUND )
ENDIF( ENABLE_IPOD )

OPTION( ENABLE_LIBINDICATE "Enable support for Ayatana notification using the libindicate library" ON )
IF( ENABLE_LIBINDICATE )
        PKG_CHECK_MODULES( LIBINDICATE07 indicate-0.7 )
        IF( NOT LIBINDICATE07_FOUND )
                PKG_CHECK_MODULES( LIBINDICATE06 indicate-0.6 )
                IF( NOT LIBINDICATE06_FOUND )
                        PKG_CHECK_MODULES( LIBINDICATE indicate )
                        IF( NOT LIBINDICATE_FOUND )
                                MESSAGE( " libindicate library not found! No sound menu support!!" )
                        ELSE( NOT LIBINDICATE_FOUND )
                                ADD_DEFINITIONS(-DWITH_LIBINDICATE_SUPPORT=1)
                        ENDIF( NOT LIBINDICATE_FOUND )
                ELSE( NOT LIBINDICATE06_FOUND )
                        ADD_DEFINITIONS(-DWITH_LIBINDICATE_SUPPORT=1)
                ENDIF( NOT LIBINDICATE06_FOUND )
        ELSE( NOT LIBINDICATE07_FOUND )
                ADD_DEFINITIONS(-DWITH_LIBINDICATE_SUPPORT=1)
        ENDIF( NOT LIBINDICATE07_FOUND )
ENDIF( ENABLE_LIBINDICATE )

PKG_CHECK_MODULES( LIBWXSQLITE3 wxsqlite3 )
IF( NOT LIBWXSQLITE3_FOUND )
        PKG_CHECK_MODULES( LIBWXSQLITE330 wxsqlite3-3.0 )
        IF( NOT LIBWXSQLITE330_FOUND )
                MESSAGE( FATAL_ERROR "wxSqlite3 not found" )
        ENDIF( NOT LIBWXSQLITE330_FOUND )
ENDIF( NOT LIBWXSQLITE3_FOUND )

# Include wxWidgets macros
INCLUDE(${wxWidgets_USE_FILE})

IF( NOT _GUREVISION_ )
    # Get the latest abbreviated commit hash of the working branch
    execute_process(
      COMMAND git log -1 --format=%h
      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
      OUTPUT_VARIABLE _GUREVISION_
      OUTPUT_STRIP_TRAILING_WHITESPACE
    )
ENDIF( NOT _GUREVISION_ )

# Make Version.h
CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/src/Version.h.in
                ${CMAKE_CURRENT_BINARY_DIR}/Version.h )

#    
#ADD_DEFINITIONS(${wxWidgets_DEFINITIONS})
ADD_COMPILE_OPTIONS( -Wall )
ADD_DEFINITIONS( -DDATADIR=\"${CMAKE_INSTALL_FULL_DATADIR}/guayadeque\" -DDATAROOTDIR=\"${CMAKE_INSTALL_FULL_DATAROOTDIR}\" )
 
# We define the include paths here, our minimal source dir is one, 
# and also the include dirs defined by wxWidgets
INCLUDE_DIRECTORIES(
        ${CMAKE_CURRENT_BINARY_DIR}
        ${wxWidgets_INCLUDE_DIRS}
        ${GSTREAMER_INCLUDE_DIRS}
        ${GSTREAMER_TAG_INCLUDE_DIRS}
        ${SQLITE3_INCLUDE_DIRS}
        ${LIBCURL_INCLUDE_DIRS}
        ${LIBTAG_INCLUDE_DIRS}
        ${LIBDBUS_INCLUDE_DIRS}
        ${LIBGIO_INCLUDE_DIRS}
        ${LIBGPOD_INCLUDE_DIRS}
        ${LIBINDICATE_INCLUDE_DIRS}
        ${LIBINDICATE06_INCLUDE_DIRS}
        ${LIBINDICATE07_INCLUDE_DIRS}
        ${LIBWXSQLITE3_INCLUDE_DIRS}
        ${LIBWXSQLITE330_INCLUDE_DIRS}
)

IF( PROFILE )
        ADD_DEFINITIONS( -pg )
        SET(CMAKE_EXE_LINKER_FLAGS "-pg -g")
        MESSAGE( "Adding profiling code." )
ENDIF( PROFILE )

 
ADD_SUBDIRECTORY( src )
ADD_SUBDIRECTORY( po )

# default configuration and desktop icon
# freedesktop.org-specific files
INSTALL( FILES defconfig/guayadeque.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications )
INSTALL( FILES defconfig/guayadeque.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/pixmaps )
INSTALL( FILES defconfig/guayadeque.appdata.xml DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/appdata )

# program-specific files
INSTALL( FILES defconfig/guayadeque.default.conf DESTINATION ${CMAKE_INSTALL_DATADIR}/guayadeque )
INSTALL( FILES defconfig/equalizers.default.conf DESTINATION ${CMAKE_INSTALL_DATADIR}/guayadeque )
INSTALL( FILES defconfig/lyrics_sources.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/guayadeque )

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

ADD_CUSTOM_TARGET(debug
  ${CMAKE_COMMAND} -DMAKE_BUILD_TYPE:STRING=Debug ${PROJECT_SOURCE_DIR})

ADD_CUSTOM_TARGET(release
  ${CMAKE_COMMAND} -DMAKE_BUILD_TYPE:STRING=Release ${PROJECT_SOURCE_DIR})

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -3,15 +3,15 @@
 
 MACRO(GETTEXT_PROCESS_POFILE _lang _moFile _poFile )
    GET_FILENAME_COMPONENT(_moBasename ${_moFile} NAME_WE)
-   GET_FILENAME_COMPONENT(_absmoFile ${_moFile} ABSOLUTE)
+   GET_FILENAME_COMPONENT(_relmoFile ${_moFile} NAME)
    GET_FILENAME_COMPONENT(_absFile ${_poFile} ABSOLUTE)
    ADD_CUSTOM_COMMAND(
-      OUTPUT ${_absmoFile}
-      COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_absmoFile} ${_absFile}
+      OUTPUT ${_relmoFile}
+      COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${CMAKE_CURRENT_BINARY_DIR}/${_relmoFile} ${_absFile}
       DEPENDS ${_absFile}
    )
-   INSTALL(FILES ${_absmoFile} DESTINATION share/locale/${_lang}/LC_MESSAGES )
-   ADD_CUSTOM_TARGET( ${_moBasename}.${_lang}.mo ALL DEPENDS ${_absmoFile} )
+   INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_relmoFile} DESTINATION ${CMAKE_INSTALL_LOCALEDIR}/${_lang}/LC_MESSAGES )
+   ADD_CUSTOM_TARGET( ${_moBasename}.${_lang}.mo ALL DEPENDS ${_relmoFile} )
 ENDMACRO(GETTEXT_PROCESS_POFILE )
 
 # Current languages

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
-FILE( GLOB_RECURSE Guayadeque_SOURCES "*.c*" )
+FILE( GLOB_RECURSE Guayadeque_SOURCES_CPP "*.cpp" )
+FILE( GLOB_RECURSE Guayadeque_SOURCES_C "*.c" )
 FILE( GLOB_RECURSE Guayadeque_HEADERS "*.h" )
 
 
@@ -11,7 +12,7 @@
 
 INCLUDE_DIRECTORIES( ${Guayadeque_INCLUDE_DIRS} )
 
-ADD_EXECUTABLE( guayadeque ${Guayadeque_SOURCES} )
+ADD_EXECUTABLE( guayadeque ${Guayadeque_SOURCES_CPP} ${Guayadeque_SOURCES_C} ${Guayadeque_HEADERS} )
 
 TARGET_LINK_LIBRARIES( guayadeque
         ${wxWidgets_LIBRARIES}
@@ -32,4 +33,4 @@
 )
 
 INSTALL( TARGETS guayadeque
-         RUNTIME DESTINATION bin )
+         RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} )

=== debian/changelog ===
guayadeque (0.4.6+git07122019-0mx19+1) mx; urgency=medium

  * New upstream release + fixes in git
  * Built for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 10 Jan 2020 16:13:02 -0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libgpod-dev [!hurd-any],
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
-               libindicate-dev, libsqlite3-dev,
+               libsqlite3-dev,
                libtag1-dev, libwxgtk3.0-dev,
                libwxsqlite3-3.0-dev
 Standards-Version: 3.9.5

## guayadeque 0.4.6%2Bgit20210917

=== debian/changelog ===
guayadeque (0.4.6+git20210917-0mx21) mx; urgency=medium

  * Update git version

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 01 Dec 2021 10:32:28 -0500

guayadeque (0.4.6+git20210329-0mx21) mx; urgency=medium

  * Update git version to include patch for gcc-10

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 01 Dec 2021 09:12:20 -0500

## guayadeque 0.4.6+git20210917

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ENDIF(POLICY CMP0005)
 
 IF(POLICY CMP0037)
-  cmake_policy(SET CMP0037 OLD)   # cmake warns about sr@latin target
+   cmake_policy(SET CMP0037 OLD)   # cmake warns about sr@latin target
 ENDIF(POLICY CMP0037)
  
 project( Guayadeque )
@@ -30,15 +30,17 @@
         /usr/lib
         /usr/local/lib )
 
-SET( wxWidgets_USE_LIBS base core adv net html xml aui qa )
+# [sl 2020-05-23] according to https://cmake.org/cmake/help/v3.0/module/FindwxWidgets.html
+SET(wxWidgets_CONFIG_OPTIONS --toolkit=gtk3)
 
-FIND_PACKAGE( wxWidgets )
+FIND_PACKAGE( wxWidgets COMPONENTS base core adv net html xml aui qa )
 
 IF( NOT wxWidgets_FOUND)
     MESSAGE( FATAL_ERROR "wxWidgets not found!" )
 ENDIF( NOT wxWidgets_FOUND)
 
 PKG_CHECK_MODULES( GSTREAMER REQUIRED gstreamer-1.0 )
+PKG_CHECK_MODULES( GSTREAMER REQUIRED gstreamer-pbutils-1.0 )
 PKG_CHECK_MODULES( GSTREAMER_TAG REQUIRED gstreamer-tag-1.0 )
 PKG_CHECK_MODULES( SQLITE3 REQUIRED sqlite3 )
 PKG_CHECK_MODULES( LIBCURL REQUIRED libcurl )
@@ -102,6 +104,11 @@
         ENDIF( NOT LIBWXSQLITE330_FOUND )
 ENDIF( NOT LIBWXSQLITE3_FOUND )
 
+PKG_CHECK_MODULES( LIBJSONCPP jsoncpp )
+IF( NOT LIBJSONCPP_FOUND )
+  	MESSAGE( FALTAL_ERROR "libjsoncpp not found" )
+ENDIF( NOT LIBJSONCPP_FOUND )
+
 # Include wxWidgets macros
 INCLUDE(${wxWidgets_USE_FILE})
 
@@ -142,6 +149,7 @@
         ${LIBINDICATE07_INCLUDE_DIRS}
         ${LIBWXSQLITE3_INCLUDE_DIRS}
         ${LIBWXSQLITE330_INCLUDE_DIRS}
+	${LIBJSONCPP_INCLUDE_DIRS}
 )
 
 IF( PROFILE )

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -15,28 +15,32 @@
 ENDMACRO(GETTEXT_PROCESS_POFILE )
 
 # Current languages
+
+ADD_SUBDIRECTORY( bg )
+ADD_SUBDIRECTORY( ca_ES )
+ADD_SUBDIRECTORY( cs )
+ADD_SUBDIRECTORY( da )
+ADD_SUBDIRECTORY( de )
+ADD_SUBDIRECTORY( el )
 ADD_SUBDIRECTORY( es )
-ADD_SUBDIRECTORY( uk )
+ADD_SUBDIRECTORY( fr )
+ADD_SUBDIRECTORY( hr )
+ADD_SUBDIRECTORY( hu )
+ADD_SUBDIRECTORY( is )
 ADD_SUBDIRECTORY( it )
-ADD_SUBDIRECTORY( de )
-ADD_SUBDIRECTORY( fr )
-ADD_SUBDIRECTORY( is )
+ADD_SUBDIRECTORY( ja )
+ADD_SUBDIRECTORY( lt )
+ADD_SUBDIRECTORY( ms )
 ADD_SUBDIRECTORY( nb )
-ADD_SUBDIRECTORY( th )
-ADD_SUBDIRECTORY( cs )
+ADD_SUBDIRECTORY( nl )
+ADD_SUBDIRECTORY( pl )
+ADD_SUBDIRECTORY( pt )
+ADD_SUBDIRECTORY( pt_BR )
 ADD_SUBDIRECTORY( ru )
-ADD_SUBDIRECTORY( hu )
-ADD_SUBDIRECTORY( sv )
-ADD_SUBDIRECTORY( nl )
-ADD_SUBDIRECTORY( pt_BR )
-ADD_SUBDIRECTORY( pt )
-ADD_SUBDIRECTORY( el )
 ADD_SUBDIRECTORY( sk )
-ADD_SUBDIRECTORY( pl )
-ADD_SUBDIRECTORY( tr )
-ADD_SUBDIRECTORY( ja )
 ADD_SUBDIRECTORY( sr )
 ADD_SUBDIRECTORY( sr@latin )
-ADD_SUBDIRECTORY( bg )
-ADD_SUBDIRECTORY( ca_ES )
-ADD_SUBDIRECTORY( hr )
+ADD_SUBDIRECTORY( sv )
+ADD_SUBDIRECTORY( th )
+ADD_SUBDIRECTORY( tr )
+ADD_SUBDIRECTORY( uk )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -30,6 +30,7 @@
         ${LIBINDICATE07_LIBRARIES}
         ${LIBWXSQLITE3_LIBRARIES}
         ${LIBWXSQLITE330_LIBRARIES}
+        ${LIBJSONCPP_LIBRARIES}
 )
 
 INSTALL( TARGETS guayadeque

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
 Build-Depends: cmake (>= 2.6), 
-               debhelper (>= 9~),
+               debhelper (>= 10~),
                gettext,
                libcurl4-openssl-dev (>= 7.18.2),
                libdbus-1-dev,
                libgpod-dev [!hurd-any],
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
+               libjsoncpp-dev,
                libsqlite3-dev,
-               libtag1-dev, libwxgtk3.0-dev,
+               libtag1-dev, libwxgtk3.0-gtk3-dev,
                libwxsqlite3-3.0-dev
 Standards-Version: 3.9.5
 Homepage: http://guayadeque.org

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel
